#ifndef ___CONTROLS_____H_
#define ___CONTROLS_____H_

#ifdef __cplusplus
extern "C"
{
#endif


#include "framework.h"

    void controls_repopulate_history_dropdown(HWND h);

HWND MakeButton(
    HWND hWindow,
    LPCWSTR name,
    int x,
    int y,
    int width,
    int height
);

HWND MakeFilenameTextBox(
    HWND hWindow,
    int x,
    int y,
    int width,
    int height
);

HWND MakeZoomDropdown(
    HWND hWindow,
    int initiallySelectedIndex,
    int x,
    int y,
    int width,
    int height
);

HWND MakeDisplayModeDropdown(
    HWND hWindow,
    int initiallySelectedIndex,
    int x,
    int y,
    int width,
    int height
);

HWND MakeTimerDropdown(
    HWND hWindow,
    int initiallySelectedIndex,
    int x,
    int y,
    int width,
    int height
);

HWND MakeCheckbox(
    HWND hWindow,
    LPCWSTR name,
    HMENU id,
    int x,
    int y,
    int width,
    int height
);

HWND MakeEditbox(
    HWND hWindow,
    LPCWSTR name,
    HMENU id,
    int x,
    int y,
    int width,
    int height
);

HWND MakeGroupbox(
    HWND hWindow,
    LPCWSTR name,
    HMENU id,
    int x,
    int y,
    int width,
    int height
);

HWND MakeRendererDropdown(
    HWND hWindow,
    int initiallySelectedIndex,
    int x,
    int y,
    int width,
    int height
);

HWND MakeSampleRateDropdown(
    HWND hWindow,
    int initiallySelectedIndex,
    int x,
    int y,
    int width,
    int height
);

HWND MakeControllerConfigDropdown(
    WCHAR* directory,
    HWND hWindow,
    int initiallySelectedIndex,
    int x,
    int y,
    int width,
    int height
);

HWND MakeHistoryDropdown(
    HWND hWindow,
    int x,
    int y,
    int width,
    int height
);

#ifdef __cplusplus
}
#endif


#endif